ZITADEL Docs
APIsCore ResourcesV2Instance

Remove Custom Domain

Removes a Custom Domain from the instance. Be aware that this will stop routing requests from this domain to the instance and might break existing setups or integrations. This method requires system level permissions and cannot be called from an instance context.

Required permissions:

  • system.domain.write
POST
/zitadel.instance.v2.InstanceService/RemoveCustomDomain

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/zitadel.instance.v2.InstanceService/RemoveCustomDomain" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{    "instanceId": "string",    "customDomain": "string"  }'
{
  "deletionDate": "2023-01-15T01:30:15.01Z"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}

Was this page helpful?